<?php
/**
* Layouts Settings.
*
* @package Vintuna
*/

$vintuna_default = vintuna_get_default_theme_options();

// Layout Section.
$wp_customize->add_section( 'layout_setting',
	array(
	'title'      => esc_html__( 'Archive Settings', 'vintuna' ),
	'priority'   => 60,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);


$wp_customize->add_setting( 'global_sidebar_layout',
	array(
	'default'           => $vintuna_default['global_sidebar_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'vintuna_sanitize_sidebar_option',
	)
);
$wp_customize->add_control( 'global_sidebar_layout',
	array(
	'label'       => esc_html__( 'Global Sidebar Layout', 'vintuna' ),
	'section'     => 'layout_setting',
	'type'        => 'select',
	'choices'     => array(
		'right-sidebar' => esc_html__( 'Right Sidebar', 'vintuna' ),
		'left-sidebar'  => esc_html__( 'Left Sidebar', 'vintuna' ),
		'no-sidebar'    => esc_html__( 'No Sidebar', 'vintuna' ),
	    ),
	)
);

// Archive Layout.
$wp_customize->add_setting(
    'vintuna_archive_layout',
    array(
        'default' 			=> $vintuna_default['vintuna_archive_layout'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'vintuna_sanitize_archive_layout'
    )
);
$wp_customize->add_control(
    new Vintuna_Custom_Radio_Image_Control(
        $wp_customize,
        'vintuna_archive_layout',
        array(
            'settings'      => 'vintuna_archive_layout',
            'section'       => 'layout_setting',
            'label'         => esc_html__( 'Archive Layout', 'vintuna' ),
            'choices'       => array(
            	'default'  => get_template_directory_uri() . '/assets/images/Layout-style-1.png',
                'full'  => get_template_directory_uri() . '/assets/images/Layout-style-2.png',
                'masonry'  => get_template_directory_uri() . '/assets/images/Layout-style-3.png',
            )
        )
    )
);


$wp_customize->add_setting('ed_image_content_inverse',
    array(
        'default' => $vintuna_default['ed_image_content_inverse'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'vintuna_sanitize_checkbox',
    )
);
$wp_customize->add_control('ed_image_content_inverse',
    array(
        'label' => esc_html__('Inverse Image with Content', 'vintuna'),
        'section' => 'layout_setting',
        'type' => 'checkbox',
        'active_callback' => 'vintuna_header_archive_layout_ac',
    )
);

